import { IModuleServer, ModuleParams } from "@erp/core/api";
import { models } from "./infrastructure";

export * from "./infrastructure/sequelize";

export const docNumberingAPIModule: IModuleServer = {
  name: "customers",
  version: "1.0.0",
  dependencies: [],

  async init(params: ModuleParams) {
    const { logger } = params;
    logger.info("🚀 Document Numbering module initialized", { label: this.name });
  },
  async registerDependencies(params) {
    const { logger } = params;
    logger.info("🚀 Document Numbering  module dependencies registered", {
      label: this.name,
    });
    return {
      models,
      services: {
        /*...*/
      },
    };
  },
};

export default docNumberingAPIModule;
